      SUBROUTINE GSPLNE_LOC(N,X,Y,iclose)
      INCLUDE 'Parametres.f' 
      PARAMETER (NMAX=10000)
      REAL*4 X(*),Y(*)
      INTEGER*2 IXY(0:1,0:NMAX)
      logical*4 dehors,trestresloin
c
      if (gardefou) then
        dehors = .true.
        do i=1,n
          dehors = dehors.and.trestresloin(x(i),y(i))
        enddo
        if (dehors) return
      endif
c
      if (ipostscript.eq.1) then
Cfj        ixy(0,0) = int2(nint(xcourant))
Cfj        ixy(1,0) = int2(nint(ycourant))
        ixy(0,0) = nint(xcourant)
        ixy(1,0) = nint(ycourant)
        do i=1,n               
Cfj          IXY(0,i) = INT2(nint(origine_x + facteur_en_x*X(i)))
Cfj          IXY(1,i) = INT2(nint(origine_y + facteur_en_y*Y(i)))
          IXY(0,i) = nint(origine_x + facteur_en_x*X(i))
          IXY(1,i) = nint(origine_y + facteur_en_y*Y(i))
        enddo
        call x11polyligne(IXY(0,0),n+1)
      else
        if (ipostscript.ne.-1.and.icoul_pend.ne.icoul_eff) then
          call ecriscoul(icoul_pend)
        endif
        call ecrispascher0(xcourant)
        call ecrispascher1(ilaser_file,ycourant,' m')
        do i=1,n
          xxxx = origine_x + facteur_en_x*X(i)
          yyyy = origine_y + facteur_en_y*Y(i)
          call ecrispascher0(xxxx)
          call ecrispascher1(ilaser_file,yyyy,' l')
        enddo
        if (iclose.ne.0) write(ilaser_file,3001)
        write(ilaser_file,3000)
      endif
 3000 format ('s')
 3001 format ('C')
      end
